View all methods

snapshots.info

Return team scores and item metadata for a single snapshot. Teams with fewer than three contributors are not included.

Facts

Method GET https://api.getdx.com/snapshots.info
Required scope snapshots:read

Arguments

Name Type Description
token Token Auth token passed as an HTTP header.
snapshot_id Text The unique ID of the snapshot.

Example request

This is a typical request:

curl -X GET https://api.getdx.com/snapshots.info?snapshot_id=<SNAPSHOT_ID> \
  --header 'Authorization: Bearer xxxx-xxxxxxxxx-xxxx'

Example response

This is a typical success response:

{
  "ok": true,
  "snapshot": {
    "team_scores": [
      {
        "snapshot_team": {
          "id": "NTIzMTM",
          "name": "Integrations",
          "team_id": "NTA1ODg",
          "parent": false,
          "parent_id": "NTIxNDc",
          "ancestors": ["LTE", "NTIzMTM", "NTIxNDc", "NTIwODI", "NTIwNzE"]
        },
        "item_id": "MTQ2",
        "item_type": "factor",
        "item_name": "Ease of release",
        "response_count": 1,
        "score": 0,
        "contributor_count": 5,
        "vs_prev": 0,
        "vs_org": -68,
        "vs_50th": -54,
        "vs_75th": -68,
        "vs_90th": -83
      },
      {
        "snapshot_team": {
          "id": "NTI5Njc",
          "name": "Analytics",
          "team_id": "NTA1OTI",
          "parent": false,
          "parent_id": "NTI1ODM",
          "ancestors": ["LTE", "NTI5Njc", "NTI1ODM", "NTI0NTQ", "NTI0MjQ"]
        },
        "item_id": "MTQ2",
        "item_type": "factor",
        "item_name": "Ease of release",
        "response_count": 3,
        "score": 100,
        "contributor_count": 10,
        "vs_prev": 25,
        "vs_org": 32,
        "vs_50th": 46,
        "vs_75th": 32,
        "vs_90th": 17
      },
      {
        "snapshot_team": {
          "id": "NTI0MjY",
          "name": "Machine Learning",
          "team_id": "NTA1OTM",
          "parent": true,
          "parent_id": "NTI0MjQ",
          "ancestors": ["LTE", "NTI0MjY", "NTI0MjQ"]
        },
        "item_id": "MTQ2",
        "item_type": "factor",
        "item_name": "Ease of release",
        "response_count": 210,
        "score": 60,
        "contributor_count": 363,
        "vs_prev": 2,
        "vs_org": -8,
        "vs_50th": 6,
        "vs_75th": -8,
        "vs_90th": -23
      }
    ],
    "snapshot_items": {
      "factors": [
        {
          "id": "MTQ2",
          "name": "Ease of release"
        },
        {
          "id": "MTQ3",
          "name": "Review turnaround"
        }
      ],
      "csat": [
        {
          "id": "MzE",
          "name": "Build system"
        }
      ],
      "kpis": [
        {
          "id": "MTUw",
          "name": "Customer impact"
        }
      ]
    }
  }
}

Response fields

Snapshot object

Field Type Description
team_scores Array Snapshot score rows grouped by snapshot team and item.
snapshot_items Object Item metadata for the scores returned by this snapshot.

Snapshot items object

Field Type Description
factors Array Factor items included in the snapshot.
csat Array Internal tool CSAT items included in the snapshot.
kpis Array KPI items returned by the endpoint.

Snapshot item object

Field Type Description
id String Item ID. Matches team_scores[].item_id for scores of that item.
name String Item name.

Errors

This table lists the expected errors that this method could return. However, other errors can be returned in the case where the service is down or other unexpected factors affect processing. Callers should always check the value of the ok param in the response.

Error Description
not_authed No authentication token provided.
invalid_auth Some aspect of authentication cannot be validated.